Warning: set_time_limit

Vyřešeno415 zhlédnutíWebhosting
0

Dobrý den,

při importu zip. filu šablony mi skáče hláška: Warning: set_time_limit() has been disabled for security reasons in /data/web/virtuals/128433/virtual/www/domains/barboramrazkova.com/wp-admin/includes/class-wp-upgrader.php on line 468

Jak se jí zbavím? Ráda bych měla všechny pluginy kompatibilni s novou verzi PHP a taky novou verzi WP. (v jedné z odpovědí na tento dotaz píšete vyzkoušet snížení PHP na starší verzi, ale to mi pak bude dělat problémy s aktualizacemi pluginů).

Dejte vědět, děkuji.

viz. screenshoty:

Role: Zákazník
Otázka je uzamčena pro nové odpovědi.
Vybral nejlepší odpověď
1

Zdravím,

nejedná se o chybu ale varování, že na serveru (hostingu) je z bezpečnostních důvodů vypnutá funkce set_time_limit(). Tuto funkci zavolal plugin při instalaci, aby prodloužil maximální dobu běhu skriptu na 300 vteřin. Je to preventivní opatření, aby byla dokončená instalace/aktualizace i na pomalejších serverech.

Na samotnou instalaci/aktualizaci to nemá vliv. Wedos má pro běh skriptů nastavený limit 90 vteřin, což bohatě stačí (viz. http://46.28.106.32/info.php73). Většina věcí se nainstaluje/aktualizuje maximálně do cca 40 – 50 vteřin. Limity lze v administraci navýšit.

Vzhledem k tomu, že se nejedná o chybu ale varování (určené pro programátory), tak lze bez následků vypnout. Doporučuji však mít zapnuté, občas díky tomu přijdete na problém se starším pluginem.

Role: Zákazník+ Web: https://404m.com Vizitka: Neprogramuj dnes, co nemůžeš debugovat zítra.
Vybral nejlepší odpověď
Prohlížíte 1 ze 1 odpovědí, klikněte zde pro zobrazení všech odpovědí.